[oe-commits] Ross Burton : wipe-sysroot: explain what is being deleted, and check for arguments

git at git.openembedded.org git at git.openembedded.org
Thu Jan 2 13:05:45 UTC 2014


Module: openembedded-core.git
Branch: master
Commit: e46b00a6810eaed27a24495cacb19e565de59fec
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=e46b00a6810eaed27a24495cacb19e565de59fec

Author: Ross Burton <ross.burton at intel.com>
Date:   Mon Dec 23 13:51:23 2013 +0000

wipe-sysroot: explain what is being deleted, and check for arguments

Print the directories that will be deleted, and add a rudimentary check for
arguments and display a message if arguments were passed.

[ YOCTO #5423 ]

Signed-off-by: Ross Burton <ross.burton at intel.com>
Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>

---

 scripts/wipe-sysroot | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/scripts/wipe-sysroot b/scripts/wipe-sysroot
index 7ca26fe..c22d39a 100755
--- a/scripts/wipe-sysroot
+++ b/scripts/wipe-sysroot
@@ -20,6 +20,12 @@
 
 set -e
 
+if [ $# -gt 0 ]; then
+    echo "Wipe all sysroots and sysroot-related stamps for the current build directory." >&2
+    echo "Usage: $0" >&2
+    exit 1
+fi
+
 ENVS=`mktemp --suffix -wipe-sysroot-envs`
 bitbake -p -e > $ENVS
 
@@ -29,10 +35,12 @@ eval `grep -F STAMPS_DIR= $ENVS`
 rm -f $ENVS
 
 if [ -z "$SSTATE_MANIFESTS" -o -z "$STAGING_DIR" -o -z "$STAMPS_DIR" ]; then
-    echo "Could not determine SSTATE_MANIFESTS/STAGING_DIR/STAMPS_DIR, check above for errors"
+    echo "Could not determine SSTATE_MANIFESTS/STAGING_DIR/STAMPS_DIR from bitbake, check above for errors"
     exit 1
 fi
 
+echo "Deleting the sysroots in $STAGING_DIR, and selected stamps in $SSTATE_MANIFESTS and $STAMPS_DIR."
+
 # The sysroots themselves
 rm -rf $STAGING_DIR
 



More information about the Openembedded-commits mailing list